
/**
 * ^Cg:     Noiz<p>
 * :         <p>
 * 쌠:       Copyright (c) Kenta Cho(ABA."Saba")<p>
 * Ж:       ABA Games<p>
 * @author Kenta Cho(ABA."Saba")
 * @version 1.0
 */
package jp.gr.java_conf.abagames.noiz.curtainmaker;

import jp.gr.java_conf.abagames.noiz.*;

public class AimFire extends CurtainMaker {

  public AimFire(Bullet[] bullet, int rank) {
    super(bullet, rank);
  }

private final int AIMFIRE_DEG = 4;

public void make(int rank) {
  int d;
  int i;
  Bullet bl;
  int x, y;

  if ( (timer&7) != 0 ) return;
  x = randN(160<<4); y = randN(32<<4);
  d = getDeg(xp-x, yp-y);
  d -= (rank-1)*AIMFIRE_DEG;
  if ( d < 0 ) d += 256;
  for ( i=0 ; i<rank ; i++ ) {
    if ( (bl = nextBullet()) == null ) return;
    if ( d >= 256 ) d -= 256;
    bl.point0.x = x; bl.point0.y = y;
    bl.point1.x = x + ((sintbl[d]*4)>>4);
    bl.point1.y = y - ((costbl[d]*4)>>4);
    bl.point0.mx = bl.point1.mx = (sintbl[d]*4)>>4;
    bl.point0.my = bl.point1.my = -(costbl[d]*4)>>4;
    bl.vctChk = FALSE;
    d += AIMFIRE_DEG*2;
  }
}

}
