
/**
 * ^Cg:     Noiz<p>
 * :         <p>
 * 쌠:       Copyright (c) Kenta Cho(ABA."Saba")<p>
 * Ж:       ABA Games<p>
 * @author Kenta Cho(ABA."Saba")
 * @version 1.0
 */
package jp.gr.java_conf.abagames.noiz.curtainmaker;

import jp.gr.java_conf.abagames.noiz.*;

public class RippleFire extends CurtainMaker {

  public RippleFire(Bullet[] bullet, int rank) {
    super(bullet, rank);
  }

private int rfx, rfy, rfmx, rfmy, rfspd;

public void make(int rank) {
  int d;
  Bullet bl;
  int rpNmb = 16-5;
  if ( rank >= 11 ) rpNmb = 16-12;
  else if ( rank >= 6 ) rpNmb = 16-8;

  if ( (timer&15) == 0 ) {
    rfx = randN(120<<4)+(20<<4); rfy = randN(32<<4)+(16<<4);
    d = randN(256);
    rfmx = (sintbl[d]*5)>>4; rfmy = -(costbl[d]*5)>>4;
    rfspd = 16;
  }
  if ( (timer&15) < rpNmb ) return;
  if ( (bl = nextBullet()) == null ) return;
  d = getDeg(xp-rfx, yp-rfy);
  if ( d >= 256 ) d -= 256;
  bl.point0.x = rfx; bl.point0.y = rfy;
  bl.point1.x = rfx + ((sintbl[d]*4)>>4);
  bl.point1.y = rfy - ((costbl[d]*4)>>4);
  bl.point0.mx = bl.point1.mx = (sintbl[d]*rfspd)>>6;
  bl.point0.my = bl.point1.my = -(costbl[d]*rfspd)>>6;
  bl.vctChk = FALSE;
  rfx += rfmx; rfy += rfmy;
  rfspd++;
}

}