
/**
 * ^Cg:     Noiz<p>
 * :         <p>
 * 쌠:       Copyright (c) Kenta Cho(ABA."Saba")<p>
 * Ж:       ABA Games<p>
 * @author Kenta Cho(ABA."Saba")
 * @version 1.0
 */
package jp.gr.java_conf.abagames.noiz.curtainmaker;

import jp.gr.java_conf.abagames.noiz.*;

public class VctFire extends CurtainMaker {

  public VctFire(Bullet[] bullet, int rank) {
    super(bullet, rank);
  }

public void make(int rank) {
  int d;
  int d1, d2;
  Bullet bl;
  int x, y;

  if ( (timer&7) != 4 ) return;
  if ( (bl = nextBullet()) == null ) return;
  x = randN(160<<4); y = randN(32<<4);
  d = getDeg(xp-x, yp-y);
  d1 = d-4;
  if ( d1 < 0 ) d1 += 256;
  else if ( d1 >= 256 ) d1 -= 256;
  d2 = d+4;
  if ( d2 < 0 ) d2 += 256;
  else if ( d2 >= 256 ) d2 -= 256;
  bl.point0.x = bl.point1.x = x;
  bl.point0.y = bl.point1.y = y;
  if ( rank <= 5 ) {
    bl.point0.mx = (sintbl[d1]*4)>>4;
    bl.point0.my = -(costbl[d1]*4)>>4;
    bl.point1.mx = (sintbl[d2]*4)>>4;
    bl.point1.my = -(costbl[d2]*4)>>4;
  } else {
    bl.point0.mx = (sintbl[d1]*6)>>4;
    bl.point0.my = -(costbl[d1]*6)>>4;
    bl.point1.mx = (sintbl[d2]*6)>>4;
    bl.point1.my = -(costbl[d2]*6)>>4;
  }
  bl.point0.x += bl.point0.mx;
  bl.point0.y += bl.point0.my;
  bl.point1.x += bl.point1.mx;
  bl.point1.y += bl.point1.my;
  bl.vctChk = TRUE;
}
}