
/**
 * ^Cg:     Noiz<p>
 * :         <p>
 * 쌠:       Copyright (c) Kenta Cho(ABA."Saba")<p>
 * Ж:       ABA Games<p>
 * @author Kenta Cho(ABA."Saba")
 * @version 1.0
 */
package jp.gr.java_conf.abagames.noiz.curtainmaker;

import jp.gr.java_conf.abagames.noiz.*;

public class BeeWinder extends CurtainMaker {

  public BeeWinder(Bullet[] bullet, int rank) {
    super(bullet, rank);
  }

private int bwDeg = 0;
private int bwCnt = 0;

public void make(int rank) {
  int d;
  Bullet bl;
  int x, y;
  int degMag = rank/2;
  if ( degMag <= 0 ) degMag = 1;

  x = (80<<4); y = 0;
  d = 152-bwDeg*degMag;
  if ( (bl = nextBullet()) == null ) return;
  bl.point0.x = x; bl.point0.y = y;
  bl.point1.x = x + ((sintbl[d]*8)>>4);
  bl.point1.y = y - ((costbl[d]*8)>>4);
  bl.point0.mx = bl.point1.mx = (sintbl[d]*8)>>4;
  bl.point0.my = bl.point1.my = -(costbl[d]*8)>>4;
  bl.vctChk = FALSE;
  d = 104+bwDeg*degMag;
  if ( (bl = nextBullet()) == null ) return;
  bl.point0.x = x; bl.point0.y = y;
  bl.point1.x = x + ((sintbl[d]*8)>>4);
  bl.point1.y = y - ((costbl[d]*8)>>4);
  bl.point0.mx = bl.point1.mx = (sintbl[d]*8)>>4;
  bl.point0.my = bl.point1.my = -(costbl[d]*8)>>4;
  bl.vctChk = FALSE;

  if ( bwCnt<5 || bwCnt>=15 ) bwDeg++;
  else bwDeg--;
  bwCnt++; if ( bwCnt >= 20 ) bwCnt -= 20;
}
}