
/**
 * ^Cg:     Noiz<p>
 * :         <p>
 * 쌠:       Copyright (c) Kenta Cho(ABA."Saba")<p>
 * Ж:       ABA Games<p>
 * @author Kenta Cho(ABA."Saba")
 * @version 1.0
 */
package jp.gr.java_conf.abagames.noiz.curtainmaker;

import jp.gr.java_conf.abagames.noiz.*;

public class RndFire extends CurtainMaker {

  public RndFire(Bullet[] bullet, int rank) {
    super(bullet, rank);
  }

private int[] rndOfsTbl = {80, 55, 40, 35};

public void make(int rank) {
  int d;
  Bullet bl;
  int x;
  int i;
  int xofs;

  int ridx = (rank/2)-1; if ( ridx < 0 ) ridx = 0;
  xofs = rndOfsTbl[ridx];
  x = (timer&31)*5;
  if ( x!=0 && (x%xofs) == 0 ) {
    d = 64;
    for ( i=0 ; i<14 ; i++ ) {
      if ( (bl = nextBullet()) == null ) return;
      d += 8;
      bl.point0.x = (x<<4); bl.point0.y = 0;
      bl.point1.x = (x<<4) + ((sintbl[d]*4)>>4);
      bl.point1.y = - ((costbl[d]*4)>>4);
      bl.point0.mx = bl.point1.mx = (sintbl[d]*4)>>4;
      bl.point0.my = bl.point1.my = -(costbl[d]*4)>>4;
      bl.vctChk = FALSE;
    }
  }
}

}