
/**
 * ^Cg:     Noiz<p>
 * :         <p>
 * 쌠:       Copyright (c) Kenta Cho(ABA."Saba")<p>
 * Ж:       ABA Games<p>
 * @author Kenta Cho(ABA."Saba")
 * @version 1.0
 */
package jp.gr.java_conf.abagames.noiz.curtainmaker;

import jp.gr.java_conf.abagames.noiz.*;

public class RndRollFire extends CurtainMaker {

  public RndRollFire(Bullet[] bullet, int rank) {
    super(bullet, rank);
  }

private int rrfcx, rrfcy, rrfd;

public void make(int rank) {
  int d;
  Bullet bl;
  int cnt;
  int bn, wd;

  bn = rank+1;
  cnt = (timer&15);
  if ( cnt >= bn ) return;
  wd = 4+rank;
  if ( cnt == 0 ) {
    rrfcx = randN(128<<4)+(16<<4); rrfcy = randN(24<<4)+(8<<4);
    rrfd = getDeg(xp-rrfcx, yp-rrfcy);
    if ( rrfd >= 256 ) rrfd -= 256;
  }
  d = 128*cnt/bn;
  if ( (bl = nextBullet()) == null ) return;
  bl.point0.x = rrfcx + ((sintbl[d]*wd)>>4);
  bl.point0.y = rrfcy + ((costbl[d]*wd)>>6);
  bl.point1.x = bl.point0.x + ((sintbl[rrfd]*5)>>4);
  bl.point1.y = bl.point0.y - ((costbl[rrfd]*5)>>4);
  bl.point0.mx = bl.point1.mx = (sintbl[rrfd]*5)>>4;
  bl.point0.my = bl.point1.my = -(costbl[rrfd]*5)>>4;
  bl.vctChk = FALSE;
  d += 128;
  if ( (bl = nextBullet()) == null ) return;
  bl.point0.x = rrfcx + ((sintbl[d]*wd)>>4);
  bl.point0.y = rrfcy - ((costbl[d]*wd)>>6);
  bl.point1.x = bl.point0.x + ((sintbl[rrfd]*5)>>4);
  bl.point1.y = bl.point0.y - ((costbl[rrfd]*5)>>4);
  bl.point0.mx = bl.point1.mx = (sintbl[rrfd]*5)>>4;
  bl.point0.my = bl.point1.my = -(costbl[rrfd]*5)>>4;
  bl.vctChk = FALSE;
}

}
