
/**
 * ^Cg:     Noiz<p>
 * :         <p>
 * 쌠:       Copyright (c) Kenta Cho(ABA."Saba")<p>
 * Ж:       ABA Games<p>
 * @author Kenta Cho(ABA."Saba")
 * @version 1.0
 */
package jp.gr.java_conf.abagames.noiz.curtainmaker;

import jp.gr.java_conf.abagames.noiz.*;

public class RollFire extends CurtainMaker {

  public RollFire(Bullet[] bullet, int rank) {
    super(bullet, rank);
  }

private int rlfx = 80, rlfy = 10;

public void make(int rank) {
  int d;
  Bullet bl;
  int i;
  int cnt;
  int dofs;

  cnt = (timer&31);
  if ( cnt == 0 ) {
    rlfx = (randN(80)+40)<<4; rlfy = (randN(32)+16)<<4;
  }
  dofs = 512/rank;
  d = cnt*8;
  for ( i=0 ; i<(rank/2) ; i++ ) {
    if ( (bl = nextBullet()) == null ) return;
    bl.point0.x = rlfx; bl.point0.y = rlfy;
    bl.point1.x = rlfx + ((sintbl[d]*4)>>4);
    bl.point1.y = rlfy - ((costbl[d]*4)>>4);
    bl.point0.mx = bl.point1.mx = (sintbl[d]*4)>>4;
    bl.point0.my = bl.point1.my = -(costbl[d]*4)>>4;
    bl.vctChk = FALSE;
    d += dofs; if ( d >= 256 ) d -= 256;
  }
}

}