
/**
 * ^Cg:     Noiz<p>
 * :         <p>
 * 쌠:       Copyright (c) Kenta Cho(ABA."Saba")<p>
 * Ж:       ABA Games<p>
 * @author Kenta Cho(ABA."Saba")
 * @version 1.0
 */
package jp.gr.java_conf.abagames.noiz.curtainmaker;

import jp.gr.java_conf.abagames.noiz.*;

public class SiegeWinder extends CurtainMaker {

  public SiegeWinder(Bullet[] bullet, int rank) {
    super(bullet, rank);
  }

public void make(int rank) {
  int d;
  Bullet bl;
  int x, y;
  int sd = (8-rank)*4;

  x = (80<<4); y = 0;
  d = getDeg(xp-x, yp-y);
  d -= sd;
  if ( d < 0 ) d += 256;
  if ( (bl = nextBullet()) == null ) return;
  bl.point0.x = x; bl.point0.y = y;
  bl.point1.x = x + ((sintbl[d]*15)>>4);
  bl.point1.y = y - ((costbl[d]*15)>>4);
  bl.point0.mx = bl.point1.mx = (sintbl[d]*15)>>4;
  bl.point0.my = bl.point1.my = -(costbl[d]*15)>>4;
  bl.vctChk = FALSE;
  if ( (bl = nextBullet()) == null ) return;
  d += sd*2;
  if ( d >= 256 ) d -= 256;
  bl.point0.x = x; bl.point0.y = y;
  bl.point1.x = x + ((sintbl[d]*15)>>4);
  bl.point1.y = y - ((costbl[d]*15)>>4);
  bl.point0.mx = bl.point1.mx = (sintbl[d]*15)>>4;
  bl.point0.my = bl.point1.my = -(costbl[d]*15)>>4;
  bl.vctChk = FALSE;
}
}