
/**
 * ^Cg:     Noiz<p>
 * :         <p>
 * 쌠:       Copyright (c) Kenta Cho(ABA."Saba")<p>
 * Ж:       ABA Games<p>
 * @author Kenta Cho(ABA."Saba")
 * @version 1.0
 */
package jp.gr.java_conf.abagames.noiz.curtainmaker;

import jp.gr.java_conf.abagames.noiz.*;

public class SplayFire extends CurtainMaker{

  public SplayFire(Bullet[] bullet, int rank) {
    super(bullet, rank);
  }

private int slfx, slfy, slfd;

public void make(int rank) {
  int d;
  int i;
  Bullet bl;
  int x, y;
  int bn, sp;
  int cnt;

  cnt = (timer&15);
  bn = rank+1;
  if ( cnt >= bn ) return;
  sp = 4+cnt;
  if ( cnt == 0 ) {
    slfx = randN(160<<4); slfy = randN(32<<4);
    d = slfd = getDeg(xp-slfx, yp-slfy);
  } else {
    d = slfd - 48*cnt/bn;
    if ( d < 0 ) d += 256;
    if ( (bl = nextBullet()) == null ) return;
    bl.point0.x = slfx; bl.point0.y = slfy;
    bl.point1.x = slfx + ((sintbl[d]*sp)>>4);
    bl.point1.y = slfy - ((costbl[d]*sp)>>4);
    bl.point0.mx = bl.point1.mx = (sintbl[d]*sp)>>4;
    bl.point0.my = bl.point1.my = -(costbl[d]*sp)>>4;
    bl.vctChk = FALSE;
    d = slfd + 48*cnt/bn;
  }
  if ( (bl = nextBullet()) == null ) return;
  if ( d >= 256 ) d -= 256;
  bl.point0.x = slfx; bl.point0.y = slfy;
  bl.point1.x = slfx + ((sintbl[d]*sp)>>4);
  bl.point1.y = slfy - ((costbl[d]*sp)>>4);
  bl.point0.mx = bl.point1.mx = (sintbl[d]*sp)>>4;
  bl.point0.my = bl.point1.my = -(costbl[d]*sp)>>4;
  bl.vctChk = FALSE;
}
}